* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    background-image: url("https://images.unsplash.com/photo-1521846562476-9c2446539e47?ixid=MnwxMjA3fDB8MHxzZWFyY2h8MXx8d2FsbHN8ZW58MHx8MHx8&ixlib=rb-1.2.1&w=1000&q=80");
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
  }

.main {
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100vh;
    overflow: hidden;
}

.clock {
    width: 100%;
    height: 100vw;
    max-width: 600px;
    max-height: 600px;
    border: 5px solid rgb(14, 2, 2);
    border-radius: 50%;
    display: flex;
    justify-content: center;
    align-items: center;
    color: #fff;
}



.seconds-arrow {
    position: absolute;
    max-width: 200px;
    width: 50%;
    height: 5px;
    background-color: rgb(82, 5, 5);
    left: 50%;  
    transform: rotate(-90deg); 
    transform-origin: 0%; 
    display: flex;
    justify-content: flex-end;
}

.minutes-arrow {
    position: absolute;
    max-width: 180px;
    width: 40%;
    height: 7px;
    background-color: rgb(9, 90, 7);
    left: 50%;   
    transform: rotate(180deg); 
    transform-origin: 0%; 
    display: flex;
    justify-content: flex-end;
}

.hour-arrow {
    position: absolute;
    max-width: 150px;
    width: 35%;
    height: 10px;
    background-color: rgb(0, 0, 0);
    left: 50%;   
    transform: rotate(-30deg); 
    transform-origin: 0%; 
    display: flex;
    justify-content: flex-end;
}

@media (max-width: 550px) {
    .seconds-arrow {
        width: 30%;
        height: 4px;
    }

    .minutes-arrow {
        width: 25%;
        height: 6px;
    }

    .hour-arrow {
        width: 20%;
        height: 8px;
    }
}

.round {
    width: 30px;
    height: 30px;
    background-color: #000;
    border-radius: 50%;
    position: absolute;
}

.clock-number{  
    position: absolute;  
    width: 50px;  
    height: 90vw;
    max-height: 550px;  
    text-align: center;  
}  

.clock-number > div {
    font-size: 35px;
}



.num1{  
    transform: rotate(30deg)  
}  

.num1 > div{  
    transform: rotate(-30deg)  
}  
.num2{  
    transform: rotate(60deg)  
}  

.num2 > div{  
    transform: rotate(-60deg)  
}  
.num3{  
    transform: rotate(90deg)  
}  

.num3 > div{  
    transform: rotate(-90deg)  
}  
.num4{  
    transform: rotate(120deg)  
}  

.num4 > div{  
    transform: rotate(-120deg)  
}  
.num5{  
    transform: rotate(150deg)  
}  

.num5 > div{  
    transform: rotate(-150deg)  
}  
.num6{  
    transform: rotate(180deg)  
}  

.num6 > div{  
    transform: rotate(-180deg)  
}  
.num7{  
    transform: rotate(210deg)  
}  

.num7 > div{  
    transform: rotate(-210deg)  
}  
.num8{  
    transform: rotate(240deg)  
}  

.num8 > div{  
    transform: rotate(-240deg)  
}  
.num9{  
    transform: rotate(270deg)  
}  

.num9 > div{  
    transform: rotate(-270deg)  
}  
.num10{  
    transform: rotate(300deg)  
}  

.num10 > div{  
    transform: rotate(-300deg)  
}  
.num11{  
    transform: rotate(330deg)  
}  

.num11 > div{  
    transform: rotate(-330deg)  
}  

.num12{  
    transform: rotate(360deg)  
}  

.num12 > div{  
    transform: rotate(-360deg)  
} 